Subject: bug#52815: Editable grep buffer

From: Richard Stallman <[email-masked]>
Date: Wed, 29 Dec 2021 11:01:37 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Commands which produce a *grep* buffer (grep, grep-find) should allow
  > > the user to edit the results and apply them to the original locations
  > > like Occur does.

I can see two meanings for "the original locations" -- does it mean
the locations stated in the edited grep output, or does it mean the locations
that _were_ stated in the original grep output (before editing it)?

If it is the former, then can't you do this with C-u C-x ` ?
I just tried it and it worked.  C-u C-x ` reparses the error locations
in the buffer.

Actually editing the text in the Grep mode buffer is a nuisance, since
many self-inserting characters do unusual things.  But that is a
different issue.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)